# PositionedSendMessageRequest - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.requests.send.abstracts / PositionedSendMessageRequest

# PositionedSendMessageRequest

(common) `interface PositionedSendMessageRequest<T : Any> : SendMessageRequest<T>` (source)

### Properties

(common)

#### latitude

`abstract val latitude: Double`

(common)

#### longitude

`abstract val longitude: Double`

### Inheritors

(common)

#### SendLocation

`data class SendLocation : SendMessageRequest<ContentMessage<LocationContent>>, ReplyingMarkupSendMessageRequest<ContentMessage<LocationContent>>, PositionedSendMessageRequest<ContentMessage<LocationContent>>`

(common)

#### SendVenue

`data class SendVenue : SendMessageRequest<ContentMessage<VenueContent>>, PositionedSendMessageRequest<ContentMessage<VenueContent>>, TitledSendMessageRequest<ContentMessage<VenueContent>>, ReplyingMarkupSendMessageRequest<ContentMessage<VenueContent>>`